use crate::app::SharedApp;

#[mockall_double::double]
use super::FileReader;

pub trait FileReaderExt {
    fn file_reader(&self) -> FileReader;
}

impl FileReaderExt for SharedApp {
    fn file_reader(&self) -> FileReader {
        FileReader::new()
    }
}
